%define name smeserver-motd
%define version 0.1
%define release 10
Summary: Adjust the login motd display
Name: %{name}
Version: %{version}
Release: %{release}
License: GNU GPL version 2
URL: http://libreswan.org/
Group: SMEserver/addon
Source: %{name}-%{version}.tar.xz
BuildRoot: /var/tmp/%{name}-%{version}
BuildArchitectures: noarch
BuildRequires: smeserver-devtools
Requires: smeserver-release >= 8.0
AutoReqProv: no

%description
A small contribution to give a more informative display on ssh login

%changelog
* Sun Sep 08 2024 fix-e-smith-pkg.sh by Trevor Batley <trevor@batley.id.au> 0.1-10.sme
- Fix e-smith references in smeserver-motd [SME: 12732]

* Sat Sep 07 2024 cvs2git.sh aka Brian Read <brianr@koozali.org> 0.1-9.sme
- Roll up patches and move to git repo [SME: 12338]

* Sat Sep 07 2024 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Thu Mar 25 2021 Brian Read <brianr@bjsystems.co.uk> 0.1-8.sme
- Add /etc/ssh/sshd_conf expansion to -update event [SME: 11066]

* Wed Mar 24 2021 Brian Read <brianr@bjsystems.co.uk> 0.1-7.sme
- Add Update event to createlinks [SME: 11066]

* Wed Mar 24 2021 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Thu Oct 29 2020 Brian Read <brianr@bjsystems.co.uk> 0.1-6.sme
- Initial import to SME10 tree [SME: 11066 ]

* Wed Jun 29 2016 John Crisp <jcrisp@safeandsoundit.co.uk> 0.1-5.sme
- Add db type key

* Wed Jun 29 2016 John Crisp <jcrisp@safeandsoundit.co.uk> 0.1-4.sme
- Add db status key

* Tue Jun 28 2016 stephane de Labrusse <stephdl@de-labrusse.fr> 0.1-3.sme
- Initial release to contribs9

* Mon Jun 27 2016 John Crisp <jcrisp@safeandsoundit.co.uk> 0.1-1
- Initial build

* Mon Jun 27 2016 John Crisp <jcrisp@safeandsoundit.co.uk> 0.1-2
- Fix a typo in the spec file

%prep
%setup

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING" >> %{name}-%{version}-filelist


%clean
cd ..
rm -rf %{name}-%{version}

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%pre

%preun

%post

%postun
